Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network190.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
190.0.0.0
Broadcast address
191.255.255.255
First usable
190.0.0.1
Last usable
191.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
B (default /16)
As numbers
Hex BE000000 · Integer 3187671040 to 3221225471
Reverse DNS zones
190.in-addr.arpa
191.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10111110.00000000.00000000.00000000190.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network10111110.00000000.00000000.00000000190.0.0.0
Broadcast10111111.11111111.11111111.11111111191.255.255.255
Split into smaller subnets/15

190.0.0.0/7 makes 256 subnets of /15.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1190.0.0.0/15190.0.0.1 to 190.1.255.254190.1.255.255131,070
2190.2.0.0/15190.2.0.1 to 190.3.255.254190.3.255.255131,070
3190.4.0.0/15190.4.0.1 to 190.5.255.254190.5.255.255131,070
4190.6.0.0/15190.6.0.1 to 190.7.255.254190.7.255.255131,070
5190.8.0.0/15190.8.0.1 to 190.9.255.254190.9.255.255131,070
6190.10.0.0/15190.10.0.1 to 190.11.255.254190.11.255.255131,070
7190.12.0.0/15190.12.0.1 to 190.13.255.254190.13.255.255131,070
8190.14.0.0/15190.14.0.1 to 190.15.255.254190.15.255.255131,070
9190.16.0.0/15190.16.0.1 to 190.17.255.254190.17.255.255131,070
10190.18.0.0/15190.18.0.1 to 190.19.255.254190.19.255.255131,070
11190.20.0.0/15190.20.0.1 to 190.21.255.254190.21.255.255131,070
12190.22.0.0/15190.22.0.1 to 190.23.255.254190.23.255.255131,070
13190.24.0.0/15190.24.0.1 to 190.25.255.254190.25.255.255131,070
14190.26.0.0/15190.26.0.1 to 190.27.255.254190.27.255.255131,070
15190.28.0.0/15190.28.0.1 to 190.29.255.254190.29.255.255131,070
16190.30.0.0/15190.30.0.1 to 190.31.255.254190.31.255.255131,070
17190.32.0.0/15190.32.0.1 to 190.33.255.254190.33.255.255131,070
18190.34.0.0/15190.34.0.1 to 190.35.255.254190.35.255.255131,070
19190.36.0.0/15190.36.0.1 to 190.37.255.254190.37.255.255131,070
20190.38.0.0/15190.38.0.1 to 190.39.255.254190.39.255.255131,070
21190.40.0.0/15190.40.0.1 to 190.41.255.254190.41.255.255131,070
22190.42.0.0/15190.42.0.1 to 190.43.255.254190.43.255.255131,070
23190.44.0.0/15190.44.0.1 to 190.45.255.254190.45.255.255131,070
24190.46.0.0/15190.46.0.1 to 190.47.255.254190.47.255.255131,070
25190.48.0.0/15190.48.0.1 to 190.49.255.254190.49.255.255131,070
26190.50.0.0/15190.50.0.1 to 190.51.255.254190.51.255.255131,070
27190.52.0.0/15190.52.0.1 to 190.53.255.254190.53.255.255131,070
28190.54.0.0/15190.54.0.1 to 190.55.255.254190.55.255.255131,070
29190.56.0.0/15190.56.0.1 to 190.57.255.254190.57.255.255131,070
30190.58.0.0/15190.58.0.1 to 190.59.255.254190.59.255.255131,070
31190.60.0.0/15190.60.0.1 to 190.61.255.254190.61.255.255131,070
32190.62.0.0/15190.62.0.1 to 190.63.255.254190.63.255.255131,070
33190.64.0.0/15190.64.0.1 to 190.65.255.254190.65.255.255131,070
34190.66.0.0/15190.66.0.1 to 190.67.255.254190.67.255.255131,070
35190.68.0.0/15190.68.0.1 to 190.69.255.254190.69.255.255131,070
36190.70.0.0/15190.70.0.1 to 190.71.255.254190.71.255.255131,070
37190.72.0.0/15190.72.0.1 to 190.73.255.254190.73.255.255131,070
38190.74.0.0/15190.74.0.1 to 190.75.255.254190.75.255.255131,070
39190.76.0.0/15190.76.0.1 to 190.77.255.254190.77.255.255131,070
40190.78.0.0/15190.78.0.1 to 190.79.255.254190.79.255.255131,070
41190.80.0.0/15190.80.0.1 to 190.81.255.254190.81.255.255131,070
42190.82.0.0/15190.82.0.1 to 190.83.255.254190.83.255.255131,070
43190.84.0.0/15190.84.0.1 to 190.85.255.254190.85.255.255131,070
44190.86.0.0/15190.86.0.1 to 190.87.255.254190.87.255.255131,070
45190.88.0.0/15190.88.0.1 to 190.89.255.254190.89.255.255131,070
46190.90.0.0/15190.90.0.1 to 190.91.255.254190.91.255.255131,070
47190.92.0.0/15190.92.0.1 to 190.93.255.254190.93.255.255131,070
48190.94.0.0/15190.94.0.1 to 190.95.255.254190.95.255.255131,070
49190.96.0.0/15190.96.0.1 to 190.97.255.254190.97.255.255131,070
50190.98.0.0/15190.98.0.1 to 190.99.255.254190.99.255.255131,070
51190.100.0.0/15190.100.0.1 to 190.101.255.254190.101.255.255131,070
52190.102.0.0/15190.102.0.1 to 190.103.255.254190.103.255.255131,070
53190.104.0.0/15190.104.0.1 to 190.105.255.254190.105.255.255131,070
54190.106.0.0/15190.106.0.1 to 190.107.255.254190.107.255.255131,070
55190.108.0.0/15190.108.0.1 to 190.109.255.254190.109.255.255131,070
56190.110.0.0/15190.110.0.1 to 190.111.255.254190.111.255.255131,070
57190.112.0.0/15190.112.0.1 to 190.113.255.254190.113.255.255131,070
58190.114.0.0/15190.114.0.1 to 190.115.255.254190.115.255.255131,070
59190.116.0.0/15190.116.0.1 to 190.117.255.254190.117.255.255131,070
60190.118.0.0/15190.118.0.1 to 190.119.255.254190.119.255.255131,070
61190.120.0.0/15190.120.0.1 to 190.121.255.254190.121.255.255131,070
62190.122.0.0/15190.122.0.1 to 190.123.255.254190.123.255.255131,070
63190.124.0.0/15190.124.0.1 to 190.125.255.254190.125.255.255131,070
64190.126.0.0/15190.126.0.1 to 190.127.255.254190.127.255.255131,070
65190.128.0.0/15190.128.0.1 to 190.129.255.254190.129.255.255131,070
66190.130.0.0/15190.130.0.1 to 190.131.255.254190.131.255.255131,070
67190.132.0.0/15190.132.0.1 to 190.133.255.254190.133.255.255131,070
68190.134.0.0/15190.134.0.1 to 190.135.255.254190.135.255.255131,070
69190.136.0.0/15190.136.0.1 to 190.137.255.254190.137.255.255131,070
70190.138.0.0/15190.138.0.1 to 190.139.255.254190.139.255.255131,070
71190.140.0.0/15190.140.0.1 to 190.141.255.254190.141.255.255131,070
72190.142.0.0/15190.142.0.1 to 190.143.255.254190.143.255.255131,070
73190.144.0.0/15190.144.0.1 to 190.145.255.254190.145.255.255131,070
74190.146.0.0/15190.146.0.1 to 190.147.255.254190.147.255.255131,070
75190.148.0.0/15190.148.0.1 to 190.149.255.254190.149.255.255131,070
76190.150.0.0/15190.150.0.1 to 190.151.255.254190.151.255.255131,070
77190.152.0.0/15190.152.0.1 to 190.153.255.254190.153.255.255131,070
78190.154.0.0/15190.154.0.1 to 190.155.255.254190.155.255.255131,070
79190.156.0.0/15190.156.0.1 to 190.157.255.254190.157.255.255131,070
80190.158.0.0/15190.158.0.1 to 190.159.255.254190.159.255.255131,070
81190.160.0.0/15190.160.0.1 to 190.161.255.254190.161.255.255131,070
82190.162.0.0/15190.162.0.1 to 190.163.255.254190.163.255.255131,070
83190.164.0.0/15190.164.0.1 to 190.165.255.254190.165.255.255131,070
84190.166.0.0/15190.166.0.1 to 190.167.255.254190.167.255.255131,070
85190.168.0.0/15190.168.0.1 to 190.169.255.254190.169.255.255131,070
86190.170.0.0/15190.170.0.1 to 190.171.255.254190.171.255.255131,070
87190.172.0.0/15190.172.0.1 to 190.173.255.254190.173.255.255131,070
88190.174.0.0/15190.174.0.1 to 190.175.255.254190.175.255.255131,070
89190.176.0.0/15190.176.0.1 to 190.177.255.254190.177.255.255131,070
90190.178.0.0/15190.178.0.1 to 190.179.255.254190.179.255.255131,070
91190.180.0.0/15190.180.0.1 to 190.181.255.254190.181.255.255131,070
92190.182.0.0/15190.182.0.1 to 190.183.255.254190.183.255.255131,070
93190.184.0.0/15190.184.0.1 to 190.185.255.254190.185.255.255131,070
94190.186.0.0/15190.186.0.1 to 190.187.255.254190.187.255.255131,070
95190.188.0.0/15190.188.0.1 to 190.189.255.254190.189.255.255131,070
96190.190.0.0/15190.190.0.1 to 190.191.255.254190.191.255.255131,070
97190.192.0.0/15190.192.0.1 to 190.193.255.254190.193.255.255131,070
98190.194.0.0/15190.194.0.1 to 190.195.255.254190.195.255.255131,070
99190.196.0.0/15190.196.0.1 to 190.197.255.254190.197.255.255131,070
100190.198.0.0/15190.198.0.1 to 190.199.255.254190.199.255.255131,070
101190.200.0.0/15190.200.0.1 to 190.201.255.254190.201.255.255131,070
102190.202.0.0/15190.202.0.1 to 190.203.255.254190.203.255.255131,070
103190.204.0.0/15190.204.0.1 to 190.205.255.254190.205.255.255131,070
104190.206.0.0/15190.206.0.1 to 190.207.255.254190.207.255.255131,070
105190.208.0.0/15190.208.0.1 to 190.209.255.254190.209.255.255131,070
106190.210.0.0/15190.210.0.1 to 190.211.255.254190.211.255.255131,070
107190.212.0.0/15190.212.0.1 to 190.213.255.254190.213.255.255131,070
108190.214.0.0/15190.214.0.1 to 190.215.255.254190.215.255.255131,070
109190.216.0.0/15190.216.0.1 to 190.217.255.254190.217.255.255131,070
110190.218.0.0/15190.218.0.1 to 190.219.255.254190.219.255.255131,070
111190.220.0.0/15190.220.0.1 to 190.221.255.254190.221.255.255131,070
112190.222.0.0/15190.222.0.1 to 190.223.255.254190.223.255.255131,070
113190.224.0.0/15190.224.0.1 to 190.225.255.254190.225.255.255131,070
114190.226.0.0/15190.226.0.1 to 190.227.255.254190.227.255.255131,070
115190.228.0.0/15190.228.0.1 to 190.229.255.254190.229.255.255131,070
116190.230.0.0/15190.230.0.1 to 190.231.255.254190.231.255.255131,070
117190.232.0.0/15190.232.0.1 to 190.233.255.254190.233.255.255131,070
118190.234.0.0/15190.234.0.1 to 190.235.255.254190.235.255.255131,070
119190.236.0.0/15190.236.0.1 to 190.237.255.254190.237.255.255131,070
120190.238.0.0/15190.238.0.1 to 190.239.255.254190.239.255.255131,070
121190.240.0.0/15190.240.0.1 to 190.241.255.254190.241.255.255131,070
122190.242.0.0/15190.242.0.1 to 190.243.255.254190.243.255.255131,070
123190.244.0.0/15190.244.0.1 to 190.245.255.254190.245.255.255131,070
124190.246.0.0/15190.246.0.1 to 190.247.255.254190.247.255.255131,070
125190.248.0.0/15190.248.0.1 to 190.249.255.254190.249.255.255131,070
126190.250.0.0/15190.250.0.1 to 190.251.255.254190.251.255.255131,070
127190.252.0.0/15190.252.0.1 to 190.253.255.254190.253.255.255131,070
128190.254.0.0/15190.254.0.1 to 190.255.255.254190.255.255.255131,070
129191.0.0.0/15191.0.0.1 to 191.1.255.254191.1.255.255131,070
130191.2.0.0/15191.2.0.1 to 191.3.255.254191.3.255.255131,070
131191.4.0.0/15191.4.0.1 to 191.5.255.254191.5.255.255131,070
132191.6.0.0/15191.6.0.1 to 191.7.255.254191.7.255.255131,070
133191.8.0.0/15191.8.0.1 to 191.9.255.254191.9.255.255131,070
134191.10.0.0/15191.10.0.1 to 191.11.255.254191.11.255.255131,070
135191.12.0.0/15191.12.0.1 to 191.13.255.254191.13.255.255131,070
136191.14.0.0/15191.14.0.1 to 191.15.255.254191.15.255.255131,070
137191.16.0.0/15191.16.0.1 to 191.17.255.254191.17.255.255131,070
138191.18.0.0/15191.18.0.1 to 191.19.255.254191.19.255.255131,070
139191.20.0.0/15191.20.0.1 to 191.21.255.254191.21.255.255131,070
140191.22.0.0/15191.22.0.1 to 191.23.255.254191.23.255.255131,070
141191.24.0.0/15191.24.0.1 to 191.25.255.254191.25.255.255131,070
142191.26.0.0/15191.26.0.1 to 191.27.255.254191.27.255.255131,070
143191.28.0.0/15191.28.0.1 to 191.29.255.254191.29.255.255131,070
144191.30.0.0/15191.30.0.1 to 191.31.255.254191.31.255.255131,070
145191.32.0.0/15191.32.0.1 to 191.33.255.254191.33.255.255131,070
146191.34.0.0/15191.34.0.1 to 191.35.255.254191.35.255.255131,070
147191.36.0.0/15191.36.0.1 to 191.37.255.254191.37.255.255131,070
148191.38.0.0/15191.38.0.1 to 191.39.255.254191.39.255.255131,070
149191.40.0.0/15191.40.0.1 to 191.41.255.254191.41.255.255131,070
150191.42.0.0/15191.42.0.1 to 191.43.255.254191.43.255.255131,070
151191.44.0.0/15191.44.0.1 to 191.45.255.254191.45.255.255131,070
152191.46.0.0/15191.46.0.1 to 191.47.255.254191.47.255.255131,070
153191.48.0.0/15191.48.0.1 to 191.49.255.254191.49.255.255131,070
154191.50.0.0/15191.50.0.1 to 191.51.255.254191.51.255.255131,070
155191.52.0.0/15191.52.0.1 to 191.53.255.254191.53.255.255131,070
156191.54.0.0/15191.54.0.1 to 191.55.255.254191.55.255.255131,070
157191.56.0.0/15191.56.0.1 to 191.57.255.254191.57.255.255131,070
158191.58.0.0/15191.58.0.1 to 191.59.255.254191.59.255.255131,070
159191.60.0.0/15191.60.0.1 to 191.61.255.254191.61.255.255131,070
160191.62.0.0/15191.62.0.1 to 191.63.255.254191.63.255.255131,070
161191.64.0.0/15191.64.0.1 to 191.65.255.254191.65.255.255131,070
162191.66.0.0/15191.66.0.1 to 191.67.255.254191.67.255.255131,070
163191.68.0.0/15191.68.0.1 to 191.69.255.254191.69.255.255131,070
164191.70.0.0/15191.70.0.1 to 191.71.255.254191.71.255.255131,070
165191.72.0.0/15191.72.0.1 to 191.73.255.254191.73.255.255131,070
166191.74.0.0/15191.74.0.1 to 191.75.255.254191.75.255.255131,070
167191.76.0.0/15191.76.0.1 to 191.77.255.254191.77.255.255131,070
168191.78.0.0/15191.78.0.1 to 191.79.255.254191.79.255.255131,070
169191.80.0.0/15191.80.0.1 to 191.81.255.254191.81.255.255131,070
170191.82.0.0/15191.82.0.1 to 191.83.255.254191.83.255.255131,070
171191.84.0.0/15191.84.0.1 to 191.85.255.254191.85.255.255131,070
172191.86.0.0/15191.86.0.1 to 191.87.255.254191.87.255.255131,070
173191.88.0.0/15191.88.0.1 to 191.89.255.254191.89.255.255131,070
174191.90.0.0/15191.90.0.1 to 191.91.255.254191.91.255.255131,070
175191.92.0.0/15191.92.0.1 to 191.93.255.254191.93.255.255131,070
176191.94.0.0/15191.94.0.1 to 191.95.255.254191.95.255.255131,070
177191.96.0.0/15191.96.0.1 to 191.97.255.254191.97.255.255131,070
178191.98.0.0/15191.98.0.1 to 191.99.255.254191.99.255.255131,070
179191.100.0.0/15191.100.0.1 to 191.101.255.254191.101.255.255131,070
180191.102.0.0/15191.102.0.1 to 191.103.255.254191.103.255.255131,070
181191.104.0.0/15191.104.0.1 to 191.105.255.254191.105.255.255131,070
182191.106.0.0/15191.106.0.1 to 191.107.255.254191.107.255.255131,070
183191.108.0.0/15191.108.0.1 to 191.109.255.254191.109.255.255131,070
184191.110.0.0/15191.110.0.1 to 191.111.255.254191.111.255.255131,070
185191.112.0.0/15191.112.0.1 to 191.113.255.254191.113.255.255131,070
186191.114.0.0/15191.114.0.1 to 191.115.255.254191.115.255.255131,070
187191.116.0.0/15191.116.0.1 to 191.117.255.254191.117.255.255131,070
188191.118.0.0/15191.118.0.1 to 191.119.255.254191.119.255.255131,070
189191.120.0.0/15191.120.0.1 to 191.121.255.254191.121.255.255131,070
190191.122.0.0/15191.122.0.1 to 191.123.255.254191.123.255.255131,070
191191.124.0.0/15191.124.0.1 to 191.125.255.254191.125.255.255131,070
192191.126.0.0/15191.126.0.1 to 191.127.255.254191.127.255.255131,070
193191.128.0.0/15191.128.0.1 to 191.129.255.254191.129.255.255131,070
194191.130.0.0/15191.130.0.1 to 191.131.255.254191.131.255.255131,070
195191.132.0.0/15191.132.0.1 to 191.133.255.254191.133.255.255131,070
196191.134.0.0/15191.134.0.1 to 191.135.255.254191.135.255.255131,070
197191.136.0.0/15191.136.0.1 to 191.137.255.254191.137.255.255131,070
198191.138.0.0/15191.138.0.1 to 191.139.255.254191.139.255.255131,070
199191.140.0.0/15191.140.0.1 to 191.141.255.254191.141.255.255131,070
200191.142.0.0/15191.142.0.1 to 191.143.255.254191.143.255.255131,070
201191.144.0.0/15191.144.0.1 to 191.145.255.254191.145.255.255131,070
202191.146.0.0/15191.146.0.1 to 191.147.255.254191.147.255.255131,070
203191.148.0.0/15191.148.0.1 to 191.149.255.254191.149.255.255131,070
204191.150.0.0/15191.150.0.1 to 191.151.255.254191.151.255.255131,070
205191.152.0.0/15191.152.0.1 to 191.153.255.254191.153.255.255131,070
206191.154.0.0/15191.154.0.1 to 191.155.255.254191.155.255.255131,070
207191.156.0.0/15191.156.0.1 to 191.157.255.254191.157.255.255131,070
208191.158.0.0/15191.158.0.1 to 191.159.255.254191.159.255.255131,070
209191.160.0.0/15191.160.0.1 to 191.161.255.254191.161.255.255131,070
210191.162.0.0/15191.162.0.1 to 191.163.255.254191.163.255.255131,070
211191.164.0.0/15191.164.0.1 to 191.165.255.254191.165.255.255131,070
212191.166.0.0/15191.166.0.1 to 191.167.255.254191.167.255.255131,070
213191.168.0.0/15191.168.0.1 to 191.169.255.254191.169.255.255131,070
214191.170.0.0/15191.170.0.1 to 191.171.255.254191.171.255.255131,070
215191.172.0.0/15191.172.0.1 to 191.173.255.254191.173.255.255131,070
216191.174.0.0/15191.174.0.1 to 191.175.255.254191.175.255.255131,070
217191.176.0.0/15191.176.0.1 to 191.177.255.254191.177.255.255131,070
218191.178.0.0/15191.178.0.1 to 191.179.255.254191.179.255.255131,070
219191.180.0.0/15191.180.0.1 to 191.181.255.254191.181.255.255131,070
220191.182.0.0/15191.182.0.1 to 191.183.255.254191.183.255.255131,070
221191.184.0.0/15191.184.0.1 to 191.185.255.254191.185.255.255131,070
222191.186.0.0/15191.186.0.1 to 191.187.255.254191.187.255.255131,070
223191.188.0.0/15191.188.0.1 to 191.189.255.254191.189.255.255131,070
224191.190.0.0/15191.190.0.1 to 191.191.255.254191.191.255.255131,070
225191.192.0.0/15191.192.0.1 to 191.193.255.254191.193.255.255131,070
226191.194.0.0/15191.194.0.1 to 191.195.255.254191.195.255.255131,070
227191.196.0.0/15191.196.0.1 to 191.197.255.254191.197.255.255131,070
228191.198.0.0/15191.198.0.1 to 191.199.255.254191.199.255.255131,070
229191.200.0.0/15191.200.0.1 to 191.201.255.254191.201.255.255131,070
230191.202.0.0/15191.202.0.1 to 191.203.255.254191.203.255.255131,070
231191.204.0.0/15191.204.0.1 to 191.205.255.254191.205.255.255131,070
232191.206.0.0/15191.206.0.1 to 191.207.255.254191.207.255.255131,070
233191.208.0.0/15191.208.0.1 to 191.209.255.254191.209.255.255131,070
234191.210.0.0/15191.210.0.1 to 191.211.255.254191.211.255.255131,070
235191.212.0.0/15191.212.0.1 to 191.213.255.254191.213.255.255131,070
236191.214.0.0/15191.214.0.1 to 191.215.255.254191.215.255.255131,070
237191.216.0.0/15191.216.0.1 to 191.217.255.254191.217.255.255131,070
238191.218.0.0/15191.218.0.1 to 191.219.255.254191.219.255.255131,070
239191.220.0.0/15191.220.0.1 to 191.221.255.254191.221.255.255131,070
240191.222.0.0/15191.222.0.1 to 191.223.255.254191.223.255.255131,070
241191.224.0.0/15191.224.0.1 to 191.225.255.254191.225.255.255131,070
242191.226.0.0/15191.226.0.1 to 191.227.255.254191.227.255.255131,070
243191.228.0.0/15191.228.0.1 to 191.229.255.254191.229.255.255131,070
244191.230.0.0/15191.230.0.1 to 191.231.255.254191.231.255.255131,070
245191.232.0.0/15191.232.0.1 to 191.233.255.254191.233.255.255131,070
246191.234.0.0/15191.234.0.1 to 191.235.255.254191.235.255.255131,070
247191.236.0.0/15191.236.0.1 to 191.237.255.254191.237.255.255131,070
248191.238.0.0/15191.238.0.1 to 191.239.255.254191.239.255.255131,070
249191.240.0.0/15191.240.0.1 to 191.241.255.254191.241.255.255131,070
250191.242.0.0/15191.242.0.1 to 191.243.255.254191.243.255.255131,070
251191.244.0.0/15191.244.0.1 to 191.245.255.254191.245.255.255131,070
252191.246.0.0/15191.246.0.1 to 191.247.255.254191.247.255.255131,070
253191.248.0.0/15191.248.0.1 to 191.249.255.254191.249.255.255131,070
254191.250.0.0/15191.250.0.1 to 191.251.255.254191.251.255.255131,070
255191.252.0.0/15191.252.0.1 to 191.253.255.254191.253.255.255131,070
256191.254.0.0/15191.254.0.1 to 191.255.255.254191.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses